import { stringify } from 'qs';
import request from '@/utils/request';

// 获取工会列表
export const getReportPageList = (params) => {
  return request(`/api-family/v1/data/getReportPageList?${stringify(params)}`)
}

// 获取公会列表
export const getAdminPageList = (params) => {
  return request(`/api-family/v1/admin/getAdminPageList?${stringify(params)}`)
}

// 创建管理员
export const createAdmin = (params) => {
  return request('/api-family/v1/admin/createAdmin', {
    method: 'POST',
    body: params,
  })
}

// 编辑管理员
export const editAdmin = (params) => {
  return request('/api-family/v1/admin/editAdmin', {
    method: 'POST',
    body: params,
  })
}

// 获取管理员详情
export const getAgentDetail = (params) => {
  return request(`/api-family/v1/agent/getAgentDetail?${stringify(params)}`)
}

// // 启用管理员
// export const enableAdmin = (params) => {
//   return request('/api-family/v1/admin/enableAdmin', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 禁用管理员
// export const disableAdmin = (params) => {
//   return request('/api-family/v1/admin/disableAdmin', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 删除管理员
// export const deleteAdmin = (params) => {
//   return request('/api-family/v1/admin/deleteAdmin', {
//     method: 'POST',
//     body: params,
//   })
// }
// 设置管理员状态
export const setAdminStatus = (params) => {
  return request('/api-family/v1/admin/setAdminStatus', {
    method: 'POST',
    body: params,
  })
}

// 重置密码
export const resetPwd = (params) => {
  return request('/api-family/v1/admin/resetPwd', {
    method: 'POST',
    body: params,
  })
}

// // =======================================================================
// // 角色列表
// export const getRolePageList = (params) => {
//   return request(`/api-family/v1/admin/getRolePageList?${stringify(params)}`)
// }

// // 创建角色
// export const createRole = (params) => {
//   return request('/api-family/v1/admin/createRole', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 编辑角色
// export const editRole = (params) => {
//   return request('/api-family/v1/admin/editRole', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 启用角色
// export const enabledRole = (params) => {
//   return request('/api-family/v1/admin/enabledRole', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 禁用角色
// export const disabledRole = (params) => {
//   return request('/api-family/v1/admin/disabledRole', {
//     method: 'POST',
//     body: params,
//   })
// }

// // =======================================================================
// // 角色组列表
// export const getRoleGroupPageList = (params) => {
//   return request(`/api-family/v1/admin/getRoleGroupPageList?${stringify(params)}`)
// }

// // 创建角色组
// export const createRoleGroup = (params) => {
//   return request('/api-family/v1/admin/createRoleGroup', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 编辑角色组
// export const editRoleGroup = (params) => {
//   return request('/api-family/v1/admin/editRoleGroup', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 启用角色组
// export const enabledRoleGroup = (params) => {
//   return request('/api-family/v1/admin/enabledRoleGroup', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 禁用角色组
// export const disabledRoleGroup = (params) => {
//   return request('/api-family/v1/admin/disabledRoleGroup', {
//     method: 'POST',
//     body: params,
//   })
// }

// // 获取所有角色分组
// export const getAllRoleGroup = (params) => {
//   return request(`/api-family/v1/admin/getAllRoleGroup?${stringify(params)}`)
// } 

// // 根据分组获取角色
// export const getRoleByGroupId = (params) => {
//   return request(`/api-family/v1/admin/getRoleByGroupId?${stringify(params)}`)
// } 

// // 设置管理员角色
// export const setRole = (params) => {
//   return request('/api-family/v1/admin/setRole', {
//     method: 'POST',
//     body: params,
//   })
// }
