// 申请类型
export const applyTypes = [
  { key: 0, value: '入会申请' },
  { key: 1, value: '退会申请' },
]
export const getApplyType = (key) => {
  const obj = applyTypes.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 审核状态
export const auditStatus = [
  { key: 0, value: '待审核' },
  { key: 1, value: '已通过' },
  { key: 2, value: '已拒绝' },
]
export const getAuditStatus = (key) => {
  const obj = auditStatus.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 直播状态
export const liveStatusArray = [
  { key: 101, value: '直播中' },
  { key: 201, value: '未开播' },
]
export const getLiveStatusArrayStr = (key) => {
  const obj = liveStatusArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 推流状态
export const streamStatusArray = [
  { key: 101, value: '推流中' },
  { key: 201, value: '已关闭' },
]
export const getSStreamStatusArrayStr = (key) => {
  const obj = streamStatusArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}
