import { stringify } from 'qs'
import request from '@/utils/request'

// 技能认证 -- 列表
export const getFamilySkillAuditPageList = (params) => {
  return request(`/api-family/v1/family/getFamilySkillAuditPageList?${stringify(params)}`)
}
// 技能认证 -- 审核
export const setFamilySkillAuditStatus = (params) => {
  return request('/api-family/v1/family/setFamilySkillAuditStatus', {
    method: 'POST',
    body: params,
  })
}
// 技能认证 -- 移除
export const removeSkill = (params) => {
  return request('/api-family/v1/family/removeSkill', {
    method: 'POST',
    body: params,
  })
}

// 签约 -- 列表
export const getFamilyAuditPageList = (params) => {
  return request(`/api-family/v1/family/getFamilyAuditPageList?${stringify(params)}`)
}

// 签约 -- 审核
export const setFamilyAuditStatus = (params) => {
  return request('/api-family/v1/family/setFamilyAuditStatus', {
    method: 'POST',
    body: params,
  })
}

// 获取家族详情
export const getFamilyDetail = (params) => {
  return request(`/api-family/v1/family/getFamilyDetail?${stringify(params)}`)
}

// ---------------------------------------------------------
// 获取技能订单列表
export async function getSkillOrderPageList(params) {
  return request(`/api-family/v1/family/getSkillOrderPageList?${stringify(params)}`);
}

// 语音速配
export const getVoiceChatPageList = (params) => {
  return request(`/api-family/v1/chat/getVoiceChatPageList?${stringify(params)}`);
}

//家族成员获取
export const getFamilyUserList = (params) => {
  return request(`/api-family/v1/family/getFamilyUserList?${stringify(params)}`);
}
//获取成员详情接口
export const getFamilyUserDetail = (params) => {
  return request(`/api-family/v1/user/getFamilyUserDetail?${stringify(params)}`);
}

//获取签约记录
export const getUserHisList = (params) => {
  return request(`/api-family/v1/family/getUserHisList?${stringify(params)}`);
}

//家族解约用户
export const setTerminate = (params) => {
  return request(`/api-family/v1/family/setTerminate`, {
    method: 'POST',
    body: params
  })
}